=== debian/changelog ===
sdpa (7.3.2.dfsg-1) unstable; urgency=low

  * New package release. (closes: #594463)
  * MUMPS_4.8.4.tar.gz was removed from the upstream tar.gz
  * Prototype packaing for 7.3.1 was by Guillaume Yziquel

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Tue, 31 Aug 2010 14:26:08 +0900
