=== debian/control ===
Source: sdpa
Section: math
Priority: optional
Maintainer: Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>
Uploaders: Guillaume Yziquel <guillaume.yziquel@citycable.ch>
Build-Depends: cdbs, debhelper (>= 7), quilt,
   automake, autotools-dev, autoconf, gfortran,
   libatlas-base-dev,
   libmumps-seq-dev,
   octave3.2, octave3.2-headers
Standards-Version: 3.9.1
Homepage: http://sdpa.indsys.chuo-u.ac.jp/sdpa/

Package: sdpa
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, 
   libatlas-base-dev, libmumps-seq-4.9.2
Description: High-performance package for SemiDefinite Programs
 The software SDPA (SemiDefinite Programming Algorithm) is one of the most
 efficient  and  stable  software packages for solving SDPs based on the
 primal-dual interior-point method.
 SDP (SemiDefinite Program) is used for financial engineering, machine
 learning, control theory, sensor network problem, quantum chemistry,
 quantum information, combinatorial optimizaiton, polynomial
 optimization, and so on.
 Futher information on SDP and SDPA can be found at
 http://sdpa.indsys.chuo-u.ac.jp/sdpa/

Package: libsdpa-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
   libatlas-base-dev, libmumps-seq-dev
Description: High-performance package for SemiDefinite Programs
 This package provides some files [examples and callable library]
 of SDPA (SemiDefinite Programming Algorithm).
 See the information of the package 'sdpa'.
 Futher information on SDP and SDPA can be found at
 http://sdpa.indsys.chuo-u.ac.jp/sdpa/

Package: sdpam
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends},
   libatlas-base-dev, libmumps-seq-4.9.2,
   octave3.2, libsdpa-dev
Description: High-performance package for SemiDefinite Programs
 This package provides SDPA-M, Matlab/Octave interface of
 of SDPA (SemiDefinite Programming Algorithm).
 See the information of the package 'sdpa'
 and the compilation by Matlab can be found at
 /usr/share/doc/sdpa/README.
 Futher information on SDP and SDPA can be found at
 http://sdpa.indsys.chuo-u.ac.jp/sdpa/
