## sdpa 7.3.3.dfsg

=== etc/Makefile ===
--- 
+++ 
@@ -23,12 +23,11 @@
 ###################################################################
 SDPA_PACKAGE= ${shell grep "^PACKAGE_STRING =" ${SDPA_MAKEFILE} | awk '{printf("%s.%s",$$3,$$4)}'}
 
-SDPA_DIR    = ${shell grep "^prefix ="       ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
+SDPA_DIR    = ${shell grep "^prefix ="         ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
 SDPA_LIB    = ${SDPA_DIR}/lib/libsdpa.a 
-MUMPS_DIR   = ${SDPA_DIR}/share/sdpa/mumps/build
-MUMPS_INC   = -I${MUMPS_DIR}/include
-MUMPS_LIBS  = -L${MUMPS_DIR}/lib -ldmumps -lmumps_common -lpord \
-              -L${MUMPS_DIR}/libseq -lmpiseq
+MUMPS_DIR   = ${shell grep "^MUMPS_DIR ="      ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
+MUMPS_INC   = ${shell grep "^MUMPS_INCLUDE ="  ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
+MUMPS_LIBS  = ${shell grep "^MUMPS_LIBS ="     ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
 # For Ubuntu MUMPS (installed by apt-get)
 # MUMPS_INC   =
 # MUMPS_LIBS  = -ldmumps_seq
