=== mex/Makefile ===
--- 
+++ 
@@ -59,11 +59,8 @@
 endif
 
 MATLAB_LAPACK = -lmwlapack -lmwblas
-DEF_FPIC = 
+DEF_FPIC = -fPIC
 ARCH = $(shell uname -m)
-ifeq ($(ARCH),x86_64)
-        DEF_FPIC = -fPIC
-endif
 
 CXXFLAGSOPTIONS = CXXFLAGS="-Wall  ${DEF_FPIC}" -O -DNDEBUG CC=${CC} CXX=${CXX}
 LARGEARRAYOPTION = -largeArrayDims
