=== debian/changelog ===
sdpa (7.3.3.dfsg-1) unstable; urgency=low

  * New upstream
  * Change the configure script for MUMPS
  * Change the short descriptions of libsdpa-dev and sdpam
  * Add the dependency of octave3.2-common and
     octave3.2-headers to sdpam (closes: #603715)
  * Fix bugs for some architectures
  * Add some matlab source codes in mex directory

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Wed, 23 Nov 2010 19:00:00 +0900
