=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
    automake, autotools-dev, autoconf, gfortran,
    libatlas-base-dev,
    libmumps-seq-dev,
-   octave3.2, octave3.2-headers
+   octave3.2, octave3.2-common, octave3.2-headers
 Standards-Version: 3.9.1
 Homepage: http://sdpa.indsys.chuo-u.ac.jp/sdpa/
 
@@ -24,7 +24,7 @@
  learning, control theory, sensor network problem, quantum chemistry,
  quantum information, combinatorial optimizaiton, polynomial
  optimization, and so on.
- Futher information on SDP and SDPA can be found at
+ Further information on SDP and SDPA can be found at
  http://sdpa.indsys.chuo-u.ac.jp/sdpa/
 
 Package: libsdpa-dev
@@ -32,11 +32,11 @@
 Section: libdevel
 Depends: ${misc:Depends},
    libatlas-base-dev, libmumps-seq-dev
-Description: High-performance package for SemiDefinite Programs
+Description: Callable library and examples of SDPA
  This package provides some files [examples and callable library]
  of SDPA (SemiDefinite Programming Algorithm).
  See the information of the package 'sdpa'.
- Futher information on SDP and SDPA can be found at
+ Further information on SDP and SDPA can be found at
  http://sdpa.indsys.chuo-u.ac.jp/sdpa/
 
 Package: sdpam
@@ -44,13 +44,16 @@
 Section: math
 Depends: ${shlibs:Depends}, ${misc:Depends},
    libatlas-base-dev, libmumps-seq-4.9.2,
-   octave3.2, libsdpa-dev
-Description: High-performance package for SemiDefinite Programs
+   octave3.2, octave3.2-common, octave3.2-headers,
+   libsdpa-dev
+Description: Matlab/Octave interface of SDPA
  This package provides SDPA-M, Matlab/Octave interface of
  of SDPA (SemiDefinite Programming Algorithm).
  See the information of the package 'sdpa'
  and the compilation by Matlab can be found at
  /usr/share/doc/sdpa/README.
- Futher information on SDP and SDPA can be found at
+ The summary of each command can be found in
+ /usr/share/sdpa/mex/CommandList.txt
+ Further information on SDP and SDPA can be found at
  http://sdpa.indsys.chuo-u.ac.jp/sdpa/
