=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export DH_VERBOSE=1
 
-include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+# include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 # include /usr/share/cdbs/1/class/makefile.mk
@@ -17,9 +17,7 @@
 	DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/atlas-base/atlas/liblapack.a" --with-blas="/usr/lib/atlas-base/atlas/libblas.a"
 endif
 
-DEB_MAKE_ENVVARS = CFLAGS="-funroll-all-loops" CXXFLAGS="-funroll-all-loops" 
-# -g -O2 is added automatically
-
+# DEB_MAKE_ENVVARS = CFLAGS="-funroll-all-loops" CXXFLAGS="-funroll-all-loops"
 
 SDPA_DIR=$(CURDIR)/debian/sdpa
 SDPAM_DIR=$(CURDIR)/debian/sdpam
@@ -32,3 +30,5 @@
 binary-post-install/sdpam::
 	cd $(SDPAM_DIR)/usr/lib/sdpa/mex/ && \
 	ln -s ../../../share/sdpa/mex/*.m .
+	cd $(SDPAM_DIR)/usr/lib/sdpa/mex/ && \
+	ln -s ../../../share/sdpa/mex/CommandList.txt .
