=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg// \
http://sdpa.indsys.chuo-u.ac.jp/sdpa/download.html files/sdpa(.+).tar.gz
