## sdpa 7.3.4.dfsg

=== etc/Makefile ===
--- 
+++ 
@@ -26,11 +26,8 @@
 SDPA_DIR    = ${shell grep "^prefix ="         ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
 SDPA_LIB    = ${SDPA_DIR}/lib/libsdpa.a 
 MUMPS_DIR   = ${shell grep "^MUMPS_DIR ="      ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
-MUMPS_INC   = ${shell grep "^MUMPS_INCLUDE ="  ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
+MUMPS_INCLUDE   = ${shell grep "^MUMPS_INCLUDE ="  ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
 MUMPS_LIBS  = ${shell grep "^MUMPS_LIBS ="     ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
-# For Ubuntu MUMPS (installed by apt-get)
-# MUMPS_INC   =
-# MUMPS_LIBS  = -ldmumps_seq
 CC          = ${shell grep "^CC ="           ${SDPA_MAKEFILE} | cut -f2 -d=}
 CFLAGS      = ${shell grep "^CFLAGS = "      ${SDPA_MAKEFILE} | cut -f2 -d=}
 CXX         = ${shell grep "^CXX ="          ${SDPA_MAKEFILE} | cut -f2 -d=}
@@ -39,7 +36,8 @@
 FCFLAGS     = ${shell grep "^FCFLAGS = "     ${SDPA_MAKEFILE} | cut -f2 -d=}
 LAPACK_LIBS = ${shell grep "^LAPACK_LIBS = " ${SDPA_MAKEFILE} | cut -f2 -d=}
 BLAS_LIBS   = ${shell grep "^BLAS_LIBS = "   ${SDPA_MAKEFILE} | cut -f2 -d=}
-pthread_lib = ${shell grep "^pthread_lib = " ${SDPA_MAKEFILE} | cut -f2 -d=}
+PTHREAD_INCLUDE= ${shell grep "^PTHREAD_INCLUDE = " ${SDPA_MAKEFILE} | cut -f2 -d=}
+PTHREAD_LIBS= ${shell grep "^PTHREAD_LIBS = " ${SDPA_MAKEFILE} | cut -f2 -d=}
 FCLIBS      = ${shell grep "^FCLIBS = "      ${SDPA_MAKEFILE} | cut -f2 -d=}
 ###################################################################
 
@@ -58,13 +56,14 @@
 	echo "FCFLAGS     = " ${FCFLAGS} >> ${TARGET}
 	echo "LAPACK_LIBS = " ${LAPACK_LIBS} >> ${TARGET}
 	echo "BLAS_LIBS   = " ${BLAS_LIBS} >> ${TARGET}
-	echo "pthead_lib  = " ${pthread_lib} >> ${TARGET}
+	echo "PTHREAD_INCLUDE= " ${PTHREAD_INCLUDE} >> ${TARGET}
+	echo "PTHREAD_LIBS= " ${PTHREAD_LIBS} >> ${TARGET}
 	echo "FCLIBS      = " ${FCLIBS} >> ${TARGET}
-	echo "MUMPS_INC   = " ${MUMPS_INC} >> ${TARGET}
+	echo "MUMPS_INCLUDE = " ${MUMPS_INCLUDE} >> ${TARGET}
 	echo "MUMPS_LIBS = "  ${MUMPS_LIBS} >> ${TARGET}
 	echo "SDPA_LIBS = " ${SDPA_LIB} ${MUMPS_LIBS}\
 	       ${LAPACK_LIBS} ${BLAS_LIBS} \
-	       ${pthread_lib} ${FCLIBS}  >> ${TARGET}
+	       ${FCLIBS} ${PTHREAD_LIBS}  >> ${TARGET}
 
 force: clean all
 clean:
