=== mex/Makefile ===
--- 
+++ 
@@ -12,6 +12,8 @@
 # make MAKE_INCLUDE_DIR=/usr/share/sdpa
 #  or 
 # make MAKE_INCLUDE_DIR=/usr/local/share/sdpa
+# In addition, for Octave, you should try
+# make MAKE_INCLUDE_DIR=/usr/local/share/sdpa COMPILE_ENVIRONMENT=octave
 
 # This file is a component of SDPA
 # Copyright (C) 2004-2010 SDPA Project
@@ -64,9 +66,9 @@
 
 CXXFLAGSOPTIONS = CXXFLAGS="-Wall  ${DEF_FPIC}" -O -DNDEBUG CC=${CC} CXX=${CXX}
 LARGEARRAYOPTION = -largeArrayDims
-ALL_INCLUDE = -I${SDPA_DIR}/include ${MUMPS_INC}
+ALL_INCLUDE = -I${SDPA_DIR}/include ${MUMPS_INCLUDE} ${PTHREAD_INCLUDE}
 # ALL_LIBS    = ${SDPA_LIB} ${MUMPS_LIBS} ${MATLAB_LAPACK} ${FCLIBS}
-ALL_LIBS    = ${SDPA_LIB} ${MUMPS_LIBS} ${LAPACK_LIBS} ${BLAS_LIBS} ${pthread_lib} ${FCLIBS}
+ALL_LIBS    = ${SDPA_LIB} ${MUMPS_LIBS} ${LAPACK_LIBS} ${BLAS_LIBS} ${PTHREAD_LIBS} ${FCLIBS}
 
 PRINTF_INT_STYLE = -DPRINTF_INT_STYLE=\\\"%zd\\\"
