=== mumps/Makefile ===
--- 
+++ 
@@ -13,6 +13,10 @@
 CXXFLAGS    = ${shell grep "^CXXFLAGS = " ${SDPA_MAKEFILE} | cut -f2 -d=}
 FC          = ${shell grep "^FC ="        ${SDPA_MAKEFILE} | cut -f2 -d=}
 FCFLAGS     = ${shell grep "^FCFLAGS = "  ${SDPA_MAKEFILE} | cut -f2 -d=}
+PTHREAD_INCLUDE = ${shell grep "^PTHREAD_INCLUDE = "  ${SDPA_MAKEFILE} | cut -f2 -d=}
+AR          = ${shell grep "^AR = "       ${SDPA_MAKEFILE} | cut -f2 -d=}
+RANLIB      = ${shell grep "^RANLIB = "  ${SDPA_MAKEFILE} | cut -f2 -d=}
+
 ###################################################################
 
 all: build/lib/libdmumps.a
@@ -26,11 +30,13 @@
 	cd build; echo "CC = "   ${CC}       >> Makefile.inc;
 	cd build; echo "FC = "   ${FC}       >> Makefile.inc;
 	cd build; echo "FL = "   ${FC}       >> Makefile.inc;
-	cd build; echo "OPTC = " ${CFLAGS}   >> Makefile.inc;
-	cd build; echo "OPTF = " ${FCFLAGS}  >> Makefile.inc;
-	cd build; echo "OPTL = " ${FCFLAGS}  >> Makefile.inc;
+	cd build; echo "OPTC = " ${CFLAGS}  ${PTHREAD_INCLUDE} >> Makefile.inc;
+	cd build; echo "OPTF = " ${FCFLAGS} ${PTHREAD_INCLUDE}  >> Makefile.inc;
+	cd build; echo "OPTL = " ${FCFLAGS} ${PTHREAD_INCLUDE}  >> Makefile.inc;
 	cd build; echo "LPORDDIR = "`pwd`"/PORD/lib/"     >> Makefile.inc;
 	cd build; echo "IPORDDIR = "`pwd`"/PORD/include/" >> Makefile.inc;
+	cd build; echo "AR = " ${AR} rv >> Makefile.inc;
+	cd build; echo "RANLIB = " ${RANLIB} >> Makefile.inc;
 	cd build ; ${MAKE} d
 
 clean:
