=== debian/changelog ===
sdpa (7.3.4.dfsg-1) unstable; urgency=low

   * New upstream
   * Modify debian/rules for some architectures
   * Change the configure script for mingw envrionment

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Mon, 06 Dec 2010 15:00:00 +0900
