=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>
 Uploaders: Guillaume Yziquel <guillaume.yziquel@citycable.ch>
-Build-Depends: cdbs, debhelper (>= 7), quilt,
+Build-Depends: cdbs, debhelper (>= 7), 
    automake, autotools-dev, autoconf, gfortran,
    libatlas-base-dev,
    libmumps-seq-dev,
