## sdpa 7.3.5.dfsg

=== etc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is a component of SDPA
-# Copyright (C) 2004-2010 SDPA Project
+# Copyright (C) 2004-2011 SDPA Project
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -39,12 +39,14 @@
 PTHREAD_INCLUDE= ${shell grep "^PTHREAD_INCLUDE = " ${SDPA_MAKEFILE} | cut -f2 -d=}
 PTHREAD_LIBS= ${shell grep "^PTHREAD_LIBS = " ${SDPA_MAKEFILE} | cut -f2 -d=}
 FCLIBS      = ${shell grep "^FCLIBS = "      ${SDPA_MAKEFILE} | cut -f2 -d=}
+VERSION     = ${shell grep "^VERSION = "     ${SDPA_MAKEFILE} | cut -f2 -d=}
 ###################################################################
 
 TARGET = make.inc
 all: ${TARGET}
 ${TARGET}:
 	rm -f make.inc
+	echo "VERSION     = " ${VERSION}   >> ${TARGET}
 	echo "SDPA_DIR    = " ${SDPA_DIR}  >> ${TARGET}
 	echo "SDPA_LIB    = " ${SDPA_LIB}  >> ${TARGET} 
 	echo "MUMPS_DIR   = " ${MUMPS_DIR} >> ${TARGET}
