=== mex/Makefile ===
--- 
+++ 
@@ -15,8 +15,17 @@
 # In addition, for Octave, you should try
 # make MAKE_INCLUDE_DIR=/usr/local/share/sdpa COMPILE_ENVIRONMENT=octave
 
+
+# To compile with mingw, the following command is a sample.
+# Your need to modify directory names and compiler names.
+# make MEX="i586-mingw32msvc-g++ -shared" COMPILE_ENVIRONMENT=octave \
+# PRINTF_INT_STYLE=-DPRINTF_INT_STYLE=\\\"%zd\\\" \
+# OUTPUT_FORMAT="-o \$@.mexw32" \
+# MATLAB_INCLUDE="-Imatlab-extern/include" \
+# MATLAB_LIBS="-I/matlab-extern/microsoft/libmx.lib -I/matlab-extern/microsoft/libmex.lib" \
+
 # This file is a component of SDPA
-# Copyright (C) 2004-2010 SDPA Project
+# Copyright (C) 2004-2011 SDPA Project
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -71,6 +80,8 @@
 ALL_LIBS    = ${SDPA_LIB} ${MUMPS_LIBS} ${LAPACK_LIBS} ${BLAS_LIBS} ${PTHREAD_LIBS} ${FCLIBS}
 
 PRINTF_INT_STYLE = -DPRINTF_INT_STYLE=\\\"%zd\\\"
+# Output format is usually automatically set by mex command.
+OUTPUT_FORMAT =
 
 ifeq ($(COMPILE_ENVIRONMENT),octave)
         MEX = mkoctfile --mex
@@ -106,33 +117,45 @@
 
 mexsdpa:
 	${MEX} ${ALL_OPTION} \
-	  ${ALL_INCLUDE} \
+	  ${OUTPUT_FORMAT} \
+	  ${ALL_INCLUDE} ${MATLAB_INCLUDE} \
 	  mexsdpa.cpp mexFprintf.c \
-	  ${ALL_LIBS}
+	  ${MATLAB_LIBS} ${ALL_LIBS} 
 
 mexSedumiWrap:
 	${MEX} ${ALL_OPTION} \
-	  ${ALL_INCLUDE} \
+	  ${OUTPUT_FORMAT} \
+	  ${ALL_INCLUDE}  ${MATLAB_INCLUDE} \
 	  mexSedumiWrap.cpp mexFprintf.c \
-	  ${ALL_LIBS}
+	  ${MATLAB_LIBS} ${ALL_LIBS} 
 
 mexAggSDPcones:
-	${MEX} ${ALL_OPTION} \
-	  mexAggSDPcones.cpp mexFprintf.c
+	${MEX} \
+	  ${OUTPUT_FORMAT} \
+	  ${ALL_OPTION}  ${MATLAB_INCLUDE} \
+	  mexAggSDPcones.cpp mexFprintf.c ${MATLAB_LIBS}
 
 mexDisAggSDPsol:
-	${MEX} ${ALL_OPTION} \
-	  mexDisAggSDPsol.cpp mexFprintf.c
+	${MEX} \
+	  ${OUTPUT_FORMAT} \
+	  ${ALL_OPTION}  ${MATLAB_INCLUDE} \
+	  mexDisAggSDPsol.cpp mexFprintf.c ${MATLAB_LIBS}
 
 mexWriteSedumiToSDPA:
-	${MEX} ${ALL_OPTION} \
-	  mexWriteSedumiToSDPA.cpp
+	${MEX} \
+	  ${OUTPUT_FORMAT} \
+	  ${ALL_OPTION}  ${MATLAB_INCLUDE} \
+	  mexWriteSedumiToSDPA.cpp ${MATLAB_LIBS}
 mexReadSDPAToSedumi:
-	${MEX} ${ALL_OPTION} \
-	  mexReadSDPAToSedumi.cpp
+	${MEX} \
+	  ${OUTPUT_FORMAT} \
+	  ${ALL_OPTION}  ${MATLAB_INCLUDE} \
+	  mexReadSDPAToSedumi.cpp ${MATLAB_LIBS}
 mexReadOutput:
-	${MEX} ${ALL_OPTION} \
-	  mexReadOutput.cpp
+	${MEX} \
+	  ${OUTPUT_FORMAT} \
+	  ${ALL_OPTION}  ${MATLAB_INCLUDE} \
+	  mexReadOutput.cpp ${MATLAB_LIBS}
 
 # clean all generated files
 clean:
