=== mumps/Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-MUMPS_VER = 4.8.4
+MUMPS_VER = 4.9.2.dfsg
+MUMPS_TAR_FILE = mumps_${MUMPS_VER}.orig.tar.gz
 
 SDPA_MAKEFILE = ../Makefile
 # This file is automatically made by './configure' script
@@ -21,10 +22,10 @@
 
 all: build/lib/libdmumps.a
 
-build/lib/libdmumps.a:
+build/lib/libdmumps.a:${MUMPS_TAR_FILE}
 	rm -rf build;
-	tar xzf archive/MUMPS_${MUMPS_VER}.tar.gz
-	mv MUMPS_${MUMPS_VER} build;
+	tar xzf ${MUMPS_TAR_FILE}
+	mv mumps-${MUMPS_VER}/ build;
 	cd build; cp Make.inc/Makefile.inc.generic.SEQ Makefile.inc;
 
 	cd build; echo "CC = "   ${CC}       >> Makefile.inc;
@@ -44,8 +45,14 @@
 	@echo "If you want to rebuild mumps dir, use 'make distclean'"
 	@echo "##########################################################"
 
+${MUMPS_TAR_FILE}:
+	@echo "By wget command, downloading a file from"
+	@echo "http://ftp.de.debian.org/debian/pool/main/m/mumps/mumps_4.9.2.dfsg.orig.tar.gz"
+	@echo "If fail, you manually put the file into " `pwd` "directory."
+	wget http://ftp.de.debian.org/debian/pool/main/m/mumps/mumps_4.9.2.dfsg.orig.tar.gz
+
 distclean: 
-	rm -rf build
+	rm -rf build ${MUMPS_TAR_FILE}
 
 install: all
 uninstall:
