=== debian/changelog ===
sdpa (7.3.5.dfsg-1build1) oneiric; urgency=low

  * gfortran-4.6 rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Sep 2011 11:22:41 +0000

sdpa (7.3.5.dfsg-1) unstable; urgency=low

   * New upstream
     + Add option --version
     + Fix bugs for some SDPs
     + Remove MUMPS tar.gz in upstream file
     + Change official homepage to sourceforge
   * Change priority from optional to extra
   * Update Homepage field
   * Update Standards-Version to 3.9.2
   * Remove Guillaume Yziquel from Uploaders
   * Change the copyright-years to include the year 2011

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Thu, 05 May 2011 19:00:00 +0900
