=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: sdpa
 Section: math
-Priority: optional
+Priority: extra
 Maintainer: Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>
-Uploaders: Guillaume Yziquel <guillaume.yziquel@citycable.ch>
 Build-Depends: cdbs, debhelper (>= 7), 
    automake, autotools-dev, autoconf, gfortran,
    libatlas-base-dev,
    libmumps-seq-dev,
    octave3.2, octave3.2-common, octave3.2-headers
-Standards-Version: 3.9.1
-Homepage: http://sdpa.indsys.chuo-u.ac.jp/sdpa/
+Standards-Version: 3.9.2
+Homepage: http://sdpa.sourceforge.net/
 
 Package: sdpa
 Architecture: any
@@ -25,7 +24,7 @@
  quantum information, combinatorial optimizaiton, polynomial
  optimization, and so on.
  Further information on SDP and SDPA can be found at
- http://sdpa.indsys.chuo-u.ac.jp/sdpa/
+ http://sdpa.sourceforge.net/
 
 Package: libsdpa-dev
 Architecture: any
@@ -37,7 +36,7 @@
  of SDPA (SemiDefinite Programming Algorithm).
  See the information of the package 'sdpa'.
  Further information on SDP and SDPA can be found at
- http://sdpa.indsys.chuo-u.ac.jp/sdpa/
+ http://sdpa.sourceforge.net/
 
 Package: sdpam
 Architecture: any
@@ -55,5 +54,5 @@
  The summary of each command can be found in
  /usr/share/sdpa/mex/CommandList.txt
  Further information on SDP and SDPA can be found at
- http://sdpa.indsys.chuo-u.ac.jp/sdpa/
+ http://sdpa.sourceforge.net/
