=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,10 @@
 # Add here any variable or target overrides you need.
 DEB_MAKE_INSTALL_TARGET =
 
-# For Ubuntu libatlas-base-dev
+# For Old libatlas-base-dev
 DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/atlas/liblapack.a" --with-blas="/usr/lib/atlas/libblas.a"
-# For Debian libatlas-base-dev
-ifeq ($(shell test -f /usr/lib/atlas-base/libatlas.a && echo 1),1)
+# For New libatlas-base-dev
+ifeq ($(shell test -f /usr/lib/atlas-base/atlas/libblas.a && echo 1),1)
 	DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/atlas-base/atlas/liblapack.a" --with-blas="/usr/lib/atlas-base/atlas/libblas.a"
 endif
