## sdpa 7.3.8+dfsg

=== etc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is a component of SDPA
-# Copyright (C) 2004-2011 SDPA Project
+# Copyright (C) 2004-2012 SDPA Project
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
