=== libexample/Makefile ===
--- 
+++ 
@@ -40,7 +40,8 @@
 	${CXX} ${CXXFLAGS} -o $@ $< ${SDPA_LIBS} 
 .cpp.o:
 	${CXX} -c ${CXXFLAGS} \
-		-I${SDPA_DIR}/include ${MUMPS_INC} -o $@ $<
+		-I${SDPA_DIR}/include ${MUMPS_INCLUDE} ${PTHREAD_INCLUDE} \
+	        -o $@ $<
 clean:
 	rm -f *.o *~
 cleanall: clean
