=== mex/Makefile ===
--- 
+++ 
@@ -24,8 +24,16 @@
 # MATLAB_INCLUDE="-Imatlab-extern/include" \
 # MATLAB_LIBS="-I/matlab-extern/microsoft/libmx.lib -I/matlab-extern/microsoft/libmex.lib" \
 
+
+# for only SDPA-Project members
+# set DEVELOPEMENT_STAGE=1 to compile without 'make install'
+# For example
+# make MAKE_INCLUDE_DIR=../etc DEVELOPEMENT_STAGE=1 
+# In addition, for Octave, you should try
+# make MAKE_INCLUDE_DIR=../etc DEVELOPEMENT_STAGE=1 COMPILE_ENVIRONMENT=octave
+
 # This file is a component of SDPA
-# Copyright (C) 2004-2011 SDPA Project
+# Copyright (C) 2004-2012 SDPA Project
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -75,7 +83,13 @@
 
 CXXFLAGSOPTIONS = CXXFLAGS="-Wall  ${DEF_FPIC}" -O -DNDEBUG CC=${CC} CXX=${CXX}
 LARGEARRAYOPTION = -largeArrayDims
-ALL_INCLUDE = -I${SDPA_DIR}/include ${MUMPS_INCLUDE} ${PTHREAD_INCLUDE}
+
+SDPA_INCLUDE = -I${SDPA_DIR}/include
+ifeq ($(DEVELOPEMENT_STAGE),1)
+	SDPA_INCLUDE = -I..
+	SDPA_LIB = ../libsdpa.a
+endif
+ALL_INCLUDE = ${SDPA_INCLUDE} ${MUMPS_INCLUDE} ${PTHREAD_INCLUDE}
 # ALL_LIBS    = ${SDPA_LIB} ${MUMPS_LIBS} ${MATLAB_LAPACK} ${FCLIBS}
 ALL_LIBS    = ${SDPA_LIB} ${MUMPS_LIBS} ${LAPACK_LIBS} ${BLAS_LIBS} ${PTHREAD_LIBS} ${FCLIBS}
 
@@ -84,7 +98,7 @@
 OUTPUT_FORMAT =
 
 ifeq ($(COMPILE_ENVIRONMENT),octave)
-        MEX = mkoctfile --mex
+        MEX = CC=${CC} CXX=${CXX} mkoctfile --mex
         CXXFLAGSOPTIONS =
         LARGEARRAYOPTION =
 	PRINTF_INT_STYLE = -DPRINTF_INT_STYLE=\\\"%d\\\"
