=== mumps/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MUMPS_VER = 4.9.2.dfsg
+MUMPS_VER = 4.10.0.dfsg
 MUMPS_TAR_FILE = mumps_${MUMPS_VER}.orig.tar.gz
 
 SDPA_MAKEFILE = ../Makefile
@@ -36,7 +36,7 @@
 	cd build; echo "OPTL = " ${FCFLAGS} ${PTHREAD_INCLUDE}  >> Makefile.inc;
 	cd build; echo "LPORDDIR = "`pwd`"/PORD/lib/"     >> Makefile.inc;
 	cd build; echo "IPORDDIR = "`pwd`"/PORD/include/" >> Makefile.inc;
-	cd build; echo "AR = " ${AR} rv >> Makefile.inc;
+	cd build; echo "AR = " ${AR} rv " " >> Makefile.inc;
 	cd build; echo "RANLIB = " ${RANLIB} >> Makefile.inc;
 	cd build ; ${MAKE} d
 
@@ -47,9 +47,9 @@
 
 ${MUMPS_TAR_FILE}:
 	@echo "By wget command, downloading a file from"
-	@echo "http://ftp.de.debian.org/debian/pool/main/m/mumps/mumps_4.9.2.dfsg.orig.tar.gz"
+	@echo "http://ftp.de.debian.org/debian/pool/main/m/mumps/${MUMPS_TAR_FILE}"
 	@echo "If fail, you manually put the file into " `pwd` "directory."
-	wget http://ftp.de.debian.org/debian/pool/main/m/mumps/mumps_4.9.2.dfsg.orig.tar.gz
+	wget http://ftp.de.debian.org/debian/pool/main/m/mumps/${MUMPS_TAR_FILE}
 
 distclean: 
 	rm -rf build ${MUMPS_TAR_FILE}
