=== debian/changelog ===
sdpa (7.3.8+dfsg-1) unstable; urgency=low
   * New upstream
     + Fix inside 'index' to 'index2'
        in changeIndex of mexReadSDPAToSedumi.cpp (closes: #667369)
   * Change Dependency from octave3.2 to octave (closes: #666927)
   * Change Dendency from openblas to atlas

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Sat, 07 Apr 2012 10:00:00 +0900

sdpa (7.3.7+dfsg-1) unstable; urgency=low
   * New upstream
     + Fix some spell-miss
     + Modify sdpa.1 to remove the warning hyphen-used-as-minus-sign
   * Change debian/ruls to link with
        libatlas-base-dev 3.8 and 3.6
   * Change dfsg version name from period to plus
        to remove the warning dfsg-version-with-period
   * Remove Section:math in sdpa and sdpam from debian/control
        to remove the warning binary-control-field-duplicates-source

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Mon, 12 Mar 2012 10:00:00 +0900

sdpa (7.3.6.dfsg-2) unstable; urgency=low
   * Change Dendency so that if openblas is available,
       use openblas; otherwise atlas. (closes: #660596)
   * Update Standards-Version to 3.9.3

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Mon, 05 Mar 2012 10:00:00 +0900

sdpa (7.3.6.dfsg-1) unstable; urgency=low

   * New upstream
     + Print error messages for reading errors
     + Fix bugs for some SDPs
     + Fix some spell-miss
     + Delete DIMACS_PRINT macro (already replaced by --dimacs option)
   * Change Dependency from libmumps-seq-4.9.2 to libmumps-seq-4.10.0
   * Change Dependency from libatlas-dev to libopenblas-dev and liblapack-pic
   * Change the copyright-years to include the year 2012

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Wed, 01 Feb 2012 14:00:00 +0900
