=== debian/rules ===
--- 
+++ 
@@ -10,14 +10,14 @@
 # Add here any variable or target overrides you need.
 DEB_MAKE_INSTALL_TARGET =
 
-# For Old libatlas-base-dev
+# DEB_MAKE_ENVVARS = CFLAGS="-funroll-all-loops" CXXFLAGS="-funroll-all-loops"
+# For old libatlas-base-dev
 DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/atlas/liblapack.a" --with-blas="/usr/lib/atlas/libblas.a"
-# For New libatlas-base-dev
-ifeq ($(shell test -f /usr/lib/atlas-base/atlas/libblas.a && echo 1),1)
+# For new libatlas-base-dev
+ifeq ($(shell test -f /usr/lib/atlas-base/atlas/liblapack.a && echo 1),1)
 	DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/atlas-base/atlas/liblapack.a" --with-blas="/usr/lib/atlas-base/atlas/libblas.a"
 endif
 
-# DEB_MAKE_ENVVARS = CFLAGS="-funroll-all-loops" CXXFLAGS="-funroll-all-loops"
 
 SDPA_DIR=$(CURDIR)/debian/sdpa
 SDPAM_DIR=$(CURDIR)/debian/sdpam
