=== debian/changelog ===
sdpa (7.3.9+dfsg-1ubuntu1) artful; urgency=medium

  * Fix build failure with providing mumps system libraries
    (See: Debian bug: #868505)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Jul 2017 09:46:15 +0200

sdpa (7.3.9+dfsg-1) unstable; urgency=low
   * New upstream
     + Assign the library files to link by full paths
     + Rename configure.in to configure.ac
     + Add CPPFLAGS to configure.ac
   * Change the compilation by gcc-4.8 (closes: #701356)
   * Update Standards-Version to 3.9.4
   * Update debian/copyright into the DEP5 format

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Sun, 07 Jul 2013 10:00:00 +0900
