=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Build-Depends: cdbs, debhelper (>= 7), 
    automake, autotools-dev, autoconf, gfortran,
    libatlas-base-dev, libmumps-seq-dev, liboctave-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://sdpa.sourceforge.net/
 
 Package: sdpa
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libatlas-base-dev, libmumps-seq-4.10.0
+   libatlas-base-dev, libmumps-seq-5.1.1
 Description: High-performance package for SemiDefinite Programs
  The software SDPA (SemiDefinite Programming Algorithm) is one of the most
  efficient and stable  software packages for solving SDPs based on the
@@ -38,7 +38,7 @@
 Package: sdpam
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libatlas-base-dev, libmumps-seq-4.10.0,
+   libatlas-base-dev, libmumps-seq-5.1.1,
    octave, libsdpa-dev
 Description: Matlab/Octave interface of SDPA
  This package provides SDPA-M, Matlab/Octave interface of
