=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
-export DH_VERBOSE=1
+# DH_VERBOSE is used for test building
+# export DH_VERBOSE=1
 
 # include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -11,11 +12,17 @@
 DEB_MAKE_INSTALL_TARGET =
 
 # DEB_MAKE_ENVVARS = CFLAGS="-funroll-all-loops" CXXFLAGS="-funroll-all-loops"
+# DEB_MAKE_ENVVARS = CFLAGS="-g -O2 -Wall -fPIC -funroll-all-loops" CXXFLAGS="-g -O2 -D_REENTRANT -Wall -fPIC -funroll-all-loops" FCFLAGS="-g -O2 -Wall -fPIC -funroll-all-loops"
+
+CFLAGS   += -Wall -fPIC -funroll-all-loops
+CXXFLAGS += -Wall -fPIC -funroll-all-loops
+FCFLAGS  += -Wall -fPIC -funroll-all-loops
+
 # For old libatlas-base-dev
 DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/atlas/liblapack.a" --with-blas="/usr/lib/atlas/libblas.a"
 # For new libatlas-base-dev
 ifeq ($(shell test -f /usr/lib/atlas-base/atlas/liblapack.a && echo 1),1)
-	DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/atlas-base/atlas/liblapack.a" --with-blas="/usr/lib/atlas-base/atlas/libblas.a"
+	DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/atlas-base/atlas/liblapack.a" --with-blas="/usr/lib/atlas-base/atlas/libblas.a" --with-mumps-libs="-ldmumps_seq -lmumps_common_seq -lmpiseq_seq -lpord_seq"
 endif
